# SharksAhead


[![Gem Version](https://badge.fury.io/rb/sharks_ahead.svg)](https://badge.fury.io/rb/sharks_ahead)

SharksAhead cli gem was built to scrape and display information about living and extinct shark species.  
Read more about this project:
 * [UX and UI for CLI Ruby Gem](http://www.form-and-function.co/2016/07/08/ux_and_ui_for_cli_ruby_gem/)  
 * [What My Ruby Gem Taught Me](http://www.form-and-function.co/2016/07/14/what_my_ruby_gem_taught_me/)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'sharks_ahead'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install sharks_ahead

## Usage

![Thar be sharks ahead! screenshot](https://cloud.githubusercontent.com/assets/18357112/17081473/01747f36-5128-11e6-9885-723f210cf288.JPG)

With a pirate theme, this gem is intended to be educational and amusing for all ages. After installing gem, execute with command "sharks-ahead".

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/becky000/sharks_ahead. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
