# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sharks_ahead/version'

Gem::Specification.new do |spec|
  spec.name          = "sharks_ahead"
  spec.version       = SharksAhead::VERSION
  spec.authors       = ["Rebecca Sherman"]
  spec.email         = ["beckysherman000@gmail.com"]

  spec.summary       = %q{Scrapes and displays information via CLI about living and extinct shark species.}
  spec.description   = %q{With a pirate theme, this gem is intended to be educational and amusing for all ages.}
  spec.homepage      = "https://github.com/becky000/sharks_ahead"
  spec.license       = "MIT"
  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = ["sharks-ahead"]
  spec.require_paths = "lib"

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_dependency "nokogiri", "~> 1.6.8"
end
